local BASE = (...):gsub('columns', '')

local Layout = require(BASE..'layout')


-- Advance position to next column,
-- given current position, widget dimensions and padding.
local function columnadvance(x,y, ww,wh, padding)
    return x + ww + padding, y
end

function Columns(args)
    local self = Layout.new(args)

    self.advance = columnadvance
    self.prev = 'left'
    self.next = 'right'
    return self
end

return Columns
